/** @file volumebox.h

	HITACHI BASIC MASTER LEVEL3 Mark5 Emulator 'EmuB-6892'
	Skelton for retropc emulator

	@author Sasaji
	@date   2013.10.30 -

	@brief [ volume box ]
*/

#ifndef _VOLUMEBOX_H_
#define _VOLUMEBOX_H_

#include <windows.h>
#include "config.h"

/**
	@brief volume dialog
*/
class VolumeBox
{
private:
	HINSTANCE  hInstance;
	EMU       *emu;
	config_t  *pConfig;
	HWND       hVolumeDlg;

	static INT_PTR CALLBACK VolumeBoxProc(HWND, UINT, WPARAM, LPARAM);

	INT_PTR onInitDialog(HWND, UINT, WPARAM, LPARAM);

	void SetVolume(HWND);

public:
	VolumeBox(HINSTANCE, EMU *, config_t *);
	~VolumeBox();
	HWND Create(HWND);
};

#endif
